Bug 475111 - dbus-upgrade breaks NetworkManager
dbus-upgrade breaks NetworkManager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 17:11 EST by Stefan Neufeind
Modified: 2013-03-05 22:57 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:11:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Neufeind 2008-12-07 17:11:45 EST
Worked fine with 1.2.4-1.
But recent upgrade in F10 (stable update, not testing!) broke NetworkManager. Neither my ethernet nor the wireless-connection come up after the upgrade. Downgrading just the dbus-packages, reboot - fine again.

In /var/log/messages there appears:
Dec  7 22:44:42 machine NetworkManager: <WARN>  connection_get_settings_cb(): Couldn't retrieve connection s
ettings: A security policy in place prevents this sender from sending this message to this recipient, see me
ssage bus configuration file (rejected message had interface "org.freedesktop.NetworkManagerSettings.Connect
ion" member "GetSettings" error name "(unset)" destination "org.freedesktop.NetworkManagerUserSettings").
Comment 1 Janos Laube 2008-12-07 18:38:44 EST
not only networkmanager. it broke on one of my machines system-config-services:

ERROR:dbus.proxies:Introspect error on :1.63:/org/fedoraproject/Config/Services/ServiceHerders/SysVServiceHerder: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.63")
Traceback (most recent call last):
  File "/usr/bin/system-config-services", line 945, in <module>
    GUI (use_dbus = use_dbus).run ()
  File "/usr/bin/system-config-services", line 900, in __init__
    self.serviceherders.append (cls (bus = self._bus))
  File "/usr/lib/python2.5/site-packages/scservices/dbus/proxy/serviceherders.py", line 53, in __init__
    for service_name in self.list_services ():
  File "/usr/lib/python2.5/site-packages/slip/dbus/polkit.py", line 48, in enable_proxy_wrapper
    return func (*p, **k)
  File "/usr/lib/python2.5/site-packages/scservices/dbus/proxy/serviceherders.py", line 66, in list_services
    return self.dbus_object.list_services (dbus_interface = "org.fedoraproject.Config.Services.ServiceHerder")
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.fedoraproject.Config.Services.ServiceHerder" member "list_services" error name "(unset)" destination ":1.63")



and on another machine with a fresh install (using online updates during install) it even broke the gnome-settings daemon, thus i wasn't able to do any useful stuff in gnome :-)
Comment 2 Tomas Hoger 2008-12-08 06:46:18 EST
(In reply to comment #0)
> Couldn't retrieve connection settings: A security policy in place prevents
> this sender from sending this message to this recipient, see message bus
> configuration file (rejected message had interface
> "org.freedesktop.NetworkManagerSettings.Connection" member "GetSettings"
> error name "(unset)" destination
> "org.freedesktop.NetworkManagerUserSettings").

What does your /etc/dbus-1/system.d/nm-applet.conf say?  Such message should be permitted by a "send_destination" rule.  Trying with fresh F10 install, there are no obvious issues with NM (tried with dhcp and static wired network).  If you run d-feet, open system bus, which process owns org.freedesktop.NetworkManagerUserSettings service?

(In reply to comment #1)
> :1.63:/org/fedoraproject/Config/Services/ServiceHerders/SysVServiceHerder:
> dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A
> security policy in place prevents this sender from sending this message to
> this recipient, see message bus configuration file (rejected message had
> interface "org.freedesktop.DBus.Introspectable" member "Introspect" error
> name "(unset)" destination ":1.63")

Maybe this should be added to system.conf:
  <allow send_interface="org.freedesktop.DBus.Introspectable"/>
below:
  <allow receive_sender="org.freedesktop.DBus"/>
to permit introspection by default.

> dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A
> security policy in place prevents this sender from sending this message to
> this recipient, see message bus configuration file (rejected message had
> interface "org.fedoraproject.Config.Services.ServiceHerder" member
> "list_services" error name "(unset)" destination ":1.63")

This should be a s-c-services bug.  It seems to use a couple of interfaces, but only allows use of .Config.Services.  This should get separate bug against s-c-services.
Comment 3 Janos Laube 2008-12-08 07:06:09 EST
i've added <allow send_interface="org.freedesktop.DBus.Introspectable"/> to /etc/dbus-1/system.conf. now i get this:

[sothis@rigel ~]$ system-config-services 
Traceback (most recent call last):
  File "/usr/bin/system-config-services", line 945, in <module>
    GUI (use_dbus = use_dbus).run ()
  File "/usr/bin/system-config-services", line 900, in __init__
    self.serviceherders.append (cls (bus = self._bus))
  File "/usr/lib/python2.5/site-packages/scservices/dbus/proxy/serviceherders.py", line 53, in __init__
    for service_name in self.list_services ():
  File "/usr/lib/python2.5/site-packages/slip/dbus/polkit.py", line 48, in enable_proxy_wrapper
    return func (*p, **k)
  File "/usr/lib/python2.5/site-packages/scservices/dbus/proxy/serviceherders.py", line 66, in list_services
    return self.dbus_object.list_services (dbus_interface = "org.fedoraproject.Config.Services.ServiceHerder")
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.fedoraproject.Config.Services.ServiceHerder" member "list_services" error name "(unset)" destination ":1.39")


in other words, the introspect error went away, but the rest remains the same :-(
Comment 4 Tomas Hoger 2008-12-08 09:46:45 EST
(In reply to comment #3)
> in other words, the introspect error went away, but the rest remains the same
> :-(

Sure, as noted in the comment #2, this is not Introspect issue and deserves a separate bug against s-c-services (I've filed one - bug #475203, feel free to CC yourself).
Comment 5 Stefan Neufeind 2008-12-08 11:31:25 EST
Tomas, I don't have a /etc/dbus-1/system.d/nm-applet.conf here. Only:
nm-avahi-autoipd.conf    nm-dispatcher.conf       nm-system-settings.conf
nm-dhcp-client.conf      nm-openvpn-service.conf  nm-vpnc-service.conf
This is a system installed with F9 and updates to F10.
Comment 6 Tomas Hoger 2008-12-08 11:51:32 EST
Do you have NetworkManager-gnome installed?  Can you run d-feet and see if anything owns org.freedesktop.NetworkManagerUserSettings on the system bus?
Comment 7 Stefan Neufeind 2008-12-08 11:59:36 EST
I'm back on dbus-1.24.xx for the moment. But if I understand right that makes no difference, since the separate policy-files are what matters, right?

No NetworkManager-gnome here, just knetworkmanager (and some other packages for that).

Haven't used d-feet before. org.freedesktop.NetworkManagerUserSettings has process "knetworkmanager". Under "Object Paths" nothing more is mentioned ...
Comment 8 Pierre Juhen 2008-12-08 15:05:16 EST
This new release of dbus broke also PackagetKit and system-config-services.

Please raise priority.
Comment 9 Tomas Hoger 2008-12-09 07:06:06 EST
(In reply to comment #7)
> I'm back on dbus-1.24.xx for the moment. But if I understand right that makes
> no difference, since the separate policy-files are what matters, right?

DBus 1.2.6 changes default policy, as it claimed to deny by default, even though allow was the effective default.  As this default policy was incorrect for quite a long time, some applications rely on it and need to have their policy files updated.

> No NetworkManager-gnome here, just knetworkmanager (and some other packages for
> that).

Ok, knetworkmanager bug #475468.  Feel free to check if the proposed policy file addresses your problem.
Comment 10 Bug Zapper 2009-11-18 04:39:01 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 02:11:35 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.